# Action5Type Struct Reference

Information about a single action 5 type. More...

## Data Fields
Action5BlockType | block_type
| How is this Action5 type processed?
SpriteID | sprite_base
| Load the sprites starting from this sprite.
uint16 | min_sprites
| If the Action5 contains less sprites, the whole block will be ignored.
uint16 | max_sprites
| If the Action5 contains more sprites, only the first max_sprites sprites will be used.
const char * | name
| Name for error messages.

## Detailed Description

Information about a single action 5 type.

Definition at line 3968 of file newgrf.cpp.

The documentation for this struct was generated from the following file:

- src/newgrf.cpp